Bug 1936477 - texlive-subfiles should depend on texlive-import
Summary: texlive-subfiles should depend on texlive-import
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-08 14:47 UTC by Truls Asheim
Modified: 2021-03-19 20:09 UTC (History)
4 users (show)

Fixed In Version: texlive-2020-35.fc33 texlive-2020-35.fc32 texlive-2020-38.fc34
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-17 02:17:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Truls Asheim 2021-03-08 14:47:46 UTC
Description of problem:
The texlive package subfiles depends on the import package. This isn't reflected in Fedora's packaging

Version-Release number of selected component (if applicable):
texlive-subfiles-9:svn53782

How reproducible:
Always

Steps to Reproduce:
1. Remove texlive-subfiles and texlive-import (if applicable)
2. Install texlive-subfiles
3. Compile a latex document containing \usepackage{subfiles}

Actual results:
The compilation fails with 
[...]
(/usr/share/texlive/texmf-dist/tex/latex/subfiles/subfiles.sty

! LaTeX Error: File `import.sty' not found.

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: sty)
[...]

Expected results:
texlive-import should be pulled in by texlive-subfiles making the compilation successful

Comment 1 Fedora Update System 2021-03-08 23:49:55 UTC
FEDORA-2021-81c989e536 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-81c989e536

Comment 2 Fedora Update System 2021-03-08 23:49:55 UTC
FEDORA-2021-82a241bf61 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-82a241bf61

Comment 3 Fedora Update System 2021-03-08 23:49:56 UTC
FEDORA-2021-02df5f5f04 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-02df5f5f04

Comment 4 Fedora Update System 2021-03-09 22:46:25 UTC
FEDORA-2021-81c989e536 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-81c989e536`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-81c989e536

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-03-10 00:06:09 UTC
FEDORA-2021-02df5f5f04 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-02df5f5f04`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-02df5f5f04

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-03-10 00:59:52 UTC
FEDORA-2021-82a241bf61 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-82a241bf61`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-82a241bf61

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-03-17 02:17:30 UTC
FEDORA-2021-02df5f5f04 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-03-18 04:12:01 UTC
FEDORA-2021-82a241bf61 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-03-19 20:09:39 UTC
FEDORA-2021-81c989e536 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.